<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("conexion/$VpnEn.php");

$Cve_Modulo = "CMOD201506100189";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 1 - Dashboard
		$sqlP1DB = mysql_query("select COLOR_FRONTEND from dashboard_perfiles where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlP1DB)==0) echo "";
		else{
		$registroP1DB=mysql_fetch_array($sqlP1DB);
		}
		if (mysql_numrows($sqlP1DB)>0)
		{
		$ColFront=$registroP1DB["COLOR_FRONTEND"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select TIEMPO_INACTIVIDAD,DIAS_DISPONIBLES,TITULO_PAGINA from dashboard_config where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		$DiasDisp=$registroC1["DIAS_DISPONIBLES"];
		$TituPagi=$registroC1["TITULO_PAGINA"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesionesdb where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
						
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
			///Determinar si la Licencia aán esta Vigente
			$FechaLic=date("Y/m/d"); 
			if ($DiasDisp < $FechaLic)
			{
				echo "<script>alert('ATENCIÓN:\\n\\nTe informamos que tu licencia a expirado, serás redireccionado a la pagina indicada para que puedas continuar con el proceso de Actualización.\\n\\nAgradecemos tu comprensión.');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=UpdateLicense.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ///Inicia IF Vencimiento de Licencia
				
////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

<!doctype html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title><?PHP echo $TituPagi; ?></title>
	<link rel="shortcut icon" href="http://www.logsyswms.com/images/LIcon.ico">

	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

	<meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport' />
    <meta name="viewport" content="width=device-width" />


    <!-- Bootstrap core CSS     -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Animation library for notifications   -->
    <link href="assets/css/animate.min.css" rel="stylesheet"/>

    <!--  Light Bootstrap Table core CSS    -->
    <link href="assets/css/light-bootstrap-dashboard.css" rel="stylesheet"/>


    <!--  CSS for Demo Purpose, don't include it in your project     -->
    <link href="assets/css/demo.css" rel="stylesheet" />


    <!--     Fonts and icons     -->
    <link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">
    <link href='http://fonts.googleapis.com/css?family=Roboto:400,700,300' rel='stylesheet' type='text/css'>
    <link href="assets/css/pe-icon-7-stroke.css" rel="stylesheet" />
    
<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->    
    
</head>
<body onload="ini()" onkeypress="parar()" onclick="parar()">

<?PHP
///Arrastrando variables
$UsuDesEn=$_POST['cmb_UsuDesti'] or $UsuDesEn=$_GET['cmb_UsuDesti'];
$MenNotifEn=$_POST['txt_MENOTI'] or $MenNotifEn=$_GET['txt_MENOTI'];

if ($UsuDesEn=="N/A")
{
echo "<script>alert('Favor de elegir el destinatario del mensaje.');</script>";
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=AddNotification.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
}
else
{

if ($MenNotifEn=="")
{
echo "<script>alert('Favor de escribir el mensaje de la notificación.');</script>";
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=AddNotification.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
}
else
{

///Detectar si es una notificación Personal o Grupal
if ($UsuDesEn<>"ALL")
{
	
///Hora y Fecha
$Hora=time();
$HoraOK=date("H:i:s",$Hora);
$Fecha=date("Y/m/d");

$CveNotifica = rand(5, 15)."-".$Fecha."-".$HoraOK;
		
///Guardar Registro en la BD
	$sqlGP = mysql_query("insert into dashboard_notificaciones (CVE_CUENTA,NOMBRE_CUENTA,CVE_NOTIFICACION,NOTIFICACION,USUARIO_CREACION,FECHA_CREACION,HORA_CREACION,USUARIO_DESTINO,ESTATUS)
	values('$CveCueCR1','$CtaSesionEn','$CveNotifica','$MenNotifEn','$UsuEn','$Fecha','$HoraOK','$UsuDesEn','PENDIENTE')");

	///$resultadoGP=mysql_query($sqlGP,$conexion) or die(mysql_error());
	
}
else
{

$sql=mysql_query("Select USUARION from tabla_usuarios Where NIVEL='08' Order By USUARION ASC");
while($res=mysql_fetch_array($sql))
{///Inicia While
$UsuGeneDest = $res['USUARION'];

///Hora y Fecha
$Hora=time();
$HoraOK=date("H:i:s",$Hora);
$Fecha=date("Y/m/d");

$CveNotifica = rand(5, 15)."-".$Fecha."-".$HoraOK;
		
///Guardar Registro en la BD
	$sqlGP = mysql_query("insert into dashboard_notificaciones (CVE_CUENTA,NOMBRE_CUENTA,CVE_NOTIFICACION,NOTIFICACION,USUARIO_CREACION,FECHA_CREACION,HORA_CREACION,USUARIO_DESTINO,ESTATUS)
	values('$CveCueCR1','$CtaSesionEn','$CveNotifica','$MenNotifEn','$UsuEn','$Fecha','$HoraOK','$UsuGeneDest','PENDIENTE')");


}///Termina While

	
}

echo "<script>alert('Notificación enviada exitosamente.\\n\\nFavor de cerrar esta ventana.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=AddNotification.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";

}
}
				
?>

</body>
</html>

<?PHP
} ///Termina IF Vencimiento de Licencia
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>